post
https://secure.fusebill.com/v1/SubscriptionProductQuantityChange
This endpoint allows you to update the quantity of a single subscription product.
Use this endpoint under limited circumstancesThis endpoint should only be used for changes that would not result in a charge to the customer's account, and only for blocks of quantity to specific products. If used outside this specific scenario, it can result in a large number of follow-up actions taking place. Webhooks, charge regeneration, invoice regeneration, and integrations will all be affected, so its use should be kept to a minimum.
If you need to make multiple changes or changes that would result in charges, use either the Update Subscription for multiple items at once or Update Subscription Product for a single product.
Sample Requests
POST /v1/SubscriptionProductQuantityChange?preview=false&showZeroDollarCharges=false&temporarilyDisableAutoPost=true HTTP/1.1
Host: secure.fusebill.com
Authorization: Basic {{apikey}}
Content-Type: application/json
{
"subscriptionProductId": 10711645,
"deltaQuantity": 4
}POST /v1/SubscriptionProductQuantityChange?preview=false&showZeroDollarCharges=false&temporarilyDisableAutoPost=true HTTP/1.1
Host: secure.fusebill.com
Authorization: Basic {{apikey}}
Content-Type: application/json
{
"subscriptionProductId": 10711645,
"deltaQuantity": -2
}